Skip to main content
GET
/
api
/
v1
/
connector-configurations
Konnektör konfigürasyonlarını listele
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/connector-configurations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "extra_properties_dict": {},
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connector_name": "<string>",
      "connector_code": "<string>",
      "name": "<string>",
      "api_key": "<string>",
      "secret_key": "<string>",
      "username": "<string>",
      "password": "<string>",
      "terminal_id": "<string>",
      "store_id": "<string>",
      "api_endpoint_url": "<string>",
      "three_d_secure_endpoint_url": "<string>",
      "extra_credentials": "<string>",
      "bank_code": "<string>",
      "priority": 123,
      "is_active": true,
      "created": "2023-11-07T05:31:56Z",
      "last_modified": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

connector_id
string<uuid>
mode
integer<int32>
page
integer<int32>
page_size
integer<int32>
include_inactive
boolean
search_term
string

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
read-only
has_previous_page
boolean
read-only
has_next_page
boolean
read-only